package com.ruoyi.mall.domain.Bo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotNull;

/**
 * 问题反馈对象 tb_question_feedback
 * 
 * @author ruoyi
 * @date 2023-10-25
 */
public class QuestionFeedbackBo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 反馈编号 */
    private Long feedbackId;

    /** 反馈内容 */
    @NotNull(message = "反馈内容不能为空")
    private String content;

    /** 用户编号 */
    @NotNull(message = "反馈用户编号不能为空")
    private Long userId;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    public void setFeedbackId(Long feedbackId) 
    {
        this.feedbackId = feedbackId;
    }

    public Long getFeedbackId() 
    {
        return feedbackId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("feedbackId", getFeedbackId())
            .append("content", getContent())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
